 		ASPIDRIVER V1.00 command line switches
		--------------------------------------

DEVICE=ASPIDRV.SYS [/l] [/m] [/n<slot>] [/a<bus-on time>] [/b<bus-off time>]
	[/i] [/j<HAN>] [/x<port>] [/p<port>] [/d <HAN>,<ID>,<BYTE>]
	[/z <slot>] [/s<dma-speed>] [/r[w]] [/h]

/L	enable nonzero LUN SCSI scanning at boot (for ASPI=1 GetDeviceType)
/M	disable full message display during boot

/I	disable int 13h module loading;by default int 13h module is loading
	for host adapter number zero

/W<buffer size in KBytes>	allocate a high memory buffer below 16 MB
	for aspi manager buffered mode option

/X<port>exclude port from install (AT BUS)
/P<port>install port number (AT BUS) - can be given multiple times
	if no /p option exists the driver is autoscanning the SCSI bus and
	installing all supported cards on AT BUS

/Z<slot>exclude slot from install (MCA BUS)
/N<slot>install slot number (MCA BUS) - can be given multiple times
	if no /n option exists the driver is autoscanning the SCSI bus and
	installing all supported cards on MCA BUS

/R	do SCSI hard reset to all found host adapters.This option is useful
	after a host adapter previous "hang" (the host adapter LED remains
	on after reset,the card is not recognised at boot by the driver,etc)
/RW	do SCSI hard reset and wait 5 seconds before any SCSI request is made
	to the host adapter (for slow old SCSI devices that could "hang" the
	host adapter after SCSI bus reset is sent)

/D<HAN>,<ID>,<BYTE> set unique parameter byte configuration option for
	the specified host adapter and SCSI ID.You can set the following bits
		bit2-prevent target disconnect
		bit3-no autosense
	For details about the configuration byte see ASP=5 Set Host Adapter
	parameters 

/A<bus on  time decimal> AT BUS only - specifies the amount of time the host
	adapter bus master is allowed to hold the bus (range is 2-15 uS); the
	default is 11 uS
/B<bus off time decimal> AT BUS only - specifies the amount of time the host
	adapter bus master must release the bus (range is 1-64 uS); the 
	default is 4 uS

/S<DMA transfer speed hexa> AT BUS only - specifies the DMA timing of the host
	bus master chip;the allowed values are
		00 - 5.00 MB/second
		01 - 6.67 MB/second
		02 - 8.00 MB/second
		03 - 10.0 MB/second (the maximum rate)
		04 - 5.70 MB/second
		FF - 3.33 MB/second (the minimum rate)

		ASPIDRIVER V1.00 initialization and mesages
		-------------------------------------------

	Note : most of the initialization messages can be disabled to be 
	displayed with the /M option.

	After the initial message

	"CorelASPI for DOS - device driver V1.00"
	"Copyright (c) 1992-1993 Corel Corp."

	the driver starts processing of the config.sys line. If any i/o ports
	are specified the driver tries installing only the cards that
	correspond to the specified ports;else the driver scans the AT or MCA 
	bus for valid SCSI supported cards and installs them all. If none is 
	found the driver exits without installing with the message

	"No supported SCSI cards located"
	"Driver is not installed"

	At the end of the initialization the exit message displays the
	number of SCSI cards installed.

 	"Installation complete : x SCSI  card(s)   located"

	x-number of installed cards
 
	Any config.sys command error is ignored with the message

	"Unknown command line errors ignored"

	The per card host adapter specific initialization starts with the 
	message

        "Initialising host adapter : x"
 	"Configuration I/O : yyyy, IDD : d, IRQ : bb, DMA : a"

	x-host adapter number (0 based)
	yyyy-base I/O port for the card
	d-the bord ID byte as returned by adapter inquiry command
	bb-interrupt level for the card
	a-dma channel for the bus master chip

	On the MCA bus the slot number is displayed

	"Microchannel slot : x"

	x-slot number (1-8)

	The driver is scanning the SCSI bus for present devices and displayes
	the results. If the /L option is specified the scanning is made for
	every SCSI LUN on a given SCSI ID, else the inquiry is made only for
	LUN = 0 on a given ID.

	The /A /B /S command line switches display the programming of the
	specified parameters. These parameters are GLOBAL for EVERY installed
	card.

    	"Configuring bus  on  time to xx uS"

 	"Configuring bus  off time to yy uS"

    	"Configuring DMA XFER RATE to aa.bb MB/S"
	"DMA timing is tRR : mmm nS, tWW : nnn nS, tOFF : ppp nS"

	xx-value in uSeconds for bus-on time
	yy-value in uSeconds for bus-off time
	aa.bb-value in mbytes/second of the dma bus transfer rate
	mmm-value in nSeconds of the read pulse width on a dma transfer as
	specified in the manufacturer's data sheet
	nnn-value in nSeconds of the write pulse width on a dma transfer as
	specified in the manufacturer's data sheet
	ppp-value in nSeconds of the inactive command (read or write) pulse 
	width on a dma transfer as specified in the manufacturer's data sheet
	These values are 100-450 nS in increments of 50 nS.
	Note:the DMA speed is shown with the following formula
		Rdma[MB/s] = 2 bytes/word * (10**3) * (1/((tRR+tWW)/2+tOFF))
	where the timings are in nanoseconds.
	The value of the byte for the /S  command is the following
		bit7 always set
		bit6-4=tRR 0-7 means tRR=100-450nS in 50nS increments
		b3=0/1 tOFF=100/150nS
		bit2-0=tWW 0-7 means tWW=100-450nS in 50nS increments

	If the per card initialization is succesfull the last message is

        "Initialising complete host adapter : x"

	else
 
	"Initialising error host adapter : x error : yyyy"

	x-host adapter number (0 based) 
	yyys-the error code
	In this last case the driver displays also a corresponding error 
	string.Also in should be noted that in this last case the driver is
	not installing FOR the specified card.

	If there are any present SCSI hard disks, the driver changes the
	hard disk interrupt services vector. If there are any CMOS installed
	hard disks, the driver installs the vector only if maximum ONE CMOS
	hard disk is present.Remember that the /I option disables the loading
	of the int 13h vector. Use this option if you have no SCSI hard drives
	in your system, so that the driver do not keep the code for int 13h 
	resident. However you should not use the /I option if you are loading
	in config.sys EMM386.EXE or any other expanded memory manager.The 
	driver should be loaded BEFORE any expanded memory manager and the
	HIMEM.SYS driver (or the equivalent XMS driver).

	Upon succesfull instalation of the vector the driver displays the 
	message

	"ASPI - hard disk interrupt SCSI module  V1.00"
	"INT 13H redirected - for X:,Y drive(s)"

	X=start drive for which the vector is installed (C: or D:) 
	Y=number of SCSI hard drives for which the vector is installed (1 or 2)

	Following are the int 13h error messages

	"SCSI device id 0 lun 0 not a direct access device"-if you wish
	to install as a "hard drive" a SCSI device with device type 7 you
	should use the /H switch.
 
	"INT 13H function error"-the BIOS read drive parameters failed
 
	"Read test INT 13h error"-the verify test with the new int 13h
	vector failed.
 
	NOTE:	on MCA (but not only) if there are two cards installed in
	the system and the boot hard drive is on the second card you could
	see a message (primary card 330h,secondary card 230h)

	"Unable to read POS register information"

	This means that you have to reconfigure the cards so that the boot
	card to be ON the 330h port based card.

	The autoscan on MCA bus is in the order slot #1 to slot #8.

	If the slot in which the SCSI boot hard disk is present is AFTER
	another SCSI card slot (slot 4 non bootable SCSI card, SCSI 6 hard
	disk to boot from), the int 13h vector will not install properly
	unless you specify /j1 (int 13h vector on host adapter number 1). As
	an alternative you can specify on the command line /n6 /n4 as in our
	example, to force the installation of the cards in your own order.
	This will ensure that the boot host adapter number IS zero
	and the int 13h vector installs by default.

	On the AT bus the autoscanning order is for ports 330h,334h,230h,234h,
	130h,134h. If you want to install the ports in a different order just
	specify the ports with the /p option in the order you want.

	NOTE:	After installing Windows make sure to REM the config.sys line
		device=c:\windows\smartdrv.exe /DOUBLE_BUFFER.This option is
		not needed by the ASPI MANAGER
	NOTE:	AT bus = the normal IBM-PC ISA compatible I/O bus
	MCA bus = IBM MicroChannel PS/2 I/O bus

	NOTE:	NEW FEATURES
		Eliminated necessity for /j option
		1.support for > 1 GB hard drives if BIOS supports it also
		2.support for DOS 5.0 > 2 hard disk drives i.e. if 
		three SCSI hard drives support drive 80h,81h,82h
		There is hard disk support only for the BIOS enabled host
		adapter, SCSI ID's are installed in increasing order and
		must be contigous.
		Buffered support feature for the situation in which the
		physical buffer pointer is above 16 MB.By allocation of
		a buffer below 16 MB with /w option the buffered mode is
		supported.BE SURE TO HAVE HIMEM.SYS or equivalent loaded
		BEFORE the aspi manager.

	NOTE:	If you use DOS 5.0 > 2 hard disk support AND you have two
		IDE hard drives already installed, the SCSI drive will be
		installed as BIOS drive 82h;this correspondes for DOS drive
		E: if ALL int 13h controlled hard drives have a primary DOS
		partition on them;if any of the IDE hard drives have only an
		EXTENDED partition-in our example the second IDE drive 81h 
		and the SCSI hard drive has a PRIMARY partition on it you will
		see the SCSI drive installed as DRIVE D: and the second IDE 
		drive installed as DRIVE E:;it has no link with the ASPI manager
		but it is only a DOS hard disk drives installation algorythm.
		So always check if the DOS 5.0 drive letter assignment HAS
		NOT CHANGED AFTER AN ADDITIONAL HARD DRIVE HAS BEEN INSTALLED
		in the system.
